package com.css.simulation.resource.model.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface ModelVehicleMapper {
    @Select("select is_deleted\n" +
            "from model_vehicle\n" +
            "where id in (select vehicle_id\n" +
            "             from model_config\n" +
            "             where id = #{configId}\n" +
            ")")
    List<String> selectIsDeletedByConfigId(@Param("configId") String configId);
}
